MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025192Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-08-26 15:132014-11-11 12:58
Reporterjgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025192: Unification of LineConstructor algoritms used by GeomInt_IntSS and BOP
DescriptionGeomInt_IntSS uses GeomInt_LineContrsuctor while BOP uses IntTools_LineConstructor which differs much. It is necessary to unify them.
Steps To Reproducerestore s1.brep s1
restore s2.brep s2
intersect ii s1 s2
Additional information
and documentation updates
Class IntTools_LineConstructor is deleted, its instance is moved to GeomInt_LineConstructor, now use only this one.

Method AdjustPeriodic is moved from IntTools_Tools to GeomInt.
TagsNo tags attached.
Test case numberNot needed
Attached Files? file icon s1.brep (146 bytes) 2014-08-29 15:26
? file icon s2.brep (149 bytes) 2014-08-29 15:26

- Relationships

-  Notes
(0031099)
git (administrator)
2014-08-26 16:07

Branch CR25192 has been created by jgv.

SHA-1: a1b4e6b05bad3b2ad922beef2351f4e098af3e6b


Detailed log of new commits:

Author: jgv
Date: Tue Aug 26 16:06:55 2014 +0400

    0025192: Unification of LineConstructor algoritms used by GeomInt_IntSS and BOP
(0031100)
jgv (developer)
2014-08-26 16:11

The branch CR25192 is ready for testing. It is intermediate version.
(0031127)
mkv (tester)
2014-08-27 16:28

Dear BugMaster,
Branch CR25192 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: a1b4e6b05bad3b2ad922beef2351f4e098af3e6b

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR25192-master-occt/Debian60-64/bugs/modalg_5/bug24472.html [^]
http://occt-tests/CR25192-master-occt/Windows-32-VC10/bugs/modalg_5/bug24472.html [^]
bugs modalg_5(010) bug24472: FAILED

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 353139144 / 353266732
Total CPU difference: 45344.729999999974 / 44447.470000000074
products component :
Total MEMORY difference: 110102128 / 110151972
Total CPU difference: 19673.620000000028 / 17587.009999999977

Testing on Windows:
occt component :
Total MEMORY difference: 241339768 / 241026580
Total CPU difference: 46786.0 / 40163.6875
products component :
Total MEMORY difference: 66618228 / 66474236
Total CPU difference: 16981.765625 / 15955.59375

There are no differences in images found by testdiff
(0031192)
git (administrator)
2014-08-29 15:17

Branch CR25192_1 has been created by jgv.

SHA-1: 68d97176ff152c118787f1629c8772b2323cd729


Detailed log of new commits:

Author: jgv
Date: Fri Aug 29 15:16:50 2014 +0400

    0025192: Unification of LineConstructor algorithms used by GeomInt_IntSS and BOP
(0031193)
jgv (developer)
2014-08-29 15:19

Please review the branch CR25192_1.
(0031195)
git (administrator)
2014-08-29 15:49

Branch CR25192_1 has been updated by jgv.

SHA-1: 7a6632d31ecb0a334712ec14375e2a7696600391


Detailed log of new commits:

Author: jgv
Date: Fri Aug 29 15:49:06 2014 +0400

    Small correction.

(0031196)
emv (developer)
2014-08-29 16:18

Reviewed, please test.
(0031236)
mkv (tester)
2014-09-01 17:23

Dear BugMaster,
Branch CR25192_1 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: 7a6632d31ecb0a334712ec14375e2a7696600391

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 2 (2 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR25192-1-master-occt/Debian60-64/bugs/modalg_5/bug24472.html [^]
http://occt-tests/CR25192-1-master-occt/Windows-32-VC10/bugs/modalg_5/bug24472.html [^]
bugs modalg_5(010) bug24472: FAILED

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 353471888 / 353600292
Total CPU difference: 45939.32999999986 / 44777.85999999998
products component :
Total MEMORY difference: 108971028 / 109121320
Total CPU difference: 19552.999999999978 / 17198.60000000002

Testing on Windows:
occt component :
Total MEMORY difference: 241322984 / 241448760
Total CPU difference: 30988.609375 / 34872.0625
products component :
Total MEMORY difference: 66432568 / 66443580
Total CPU difference: 10685.875 / 10981.609375

There are no differences in images found by testdiff.
(0031242)
jgv (developer)
2014-09-01 17:53

Dear Mikhail,

Please update the values of command "xdist" for bugs modalg_5(010) bug24472.
The case is valid (bop commands work correct).
(0031249)
git (administrator)
2014-09-01 19:53

Branch CR25192_1 has been updated by mkv.

SHA-1: 6e4fc683ad3f97ee67905b9fbef6ac9c5b348acc


Detailed log of new commits:

Author: mkv
Date: Mon Sep 1 19:53:04 2014 +0400

    Correction of test case bug/modalg_5/bug24472

(0031250)
mkv (tester)
2014-09-01 19:54

Now test case bugs/modalg_5(010)/bug24472 is OK.
(0031484)
git (administrator)
2014-09-08 15:52

Branch CR25192 has been deleted by inv.

SHA-1: a1b4e6b05bad3b2ad922beef2351f4e098af3e6b
(0031485)
git (administrator)
2014-09-08 15:52

Branch CR25192_1 has been deleted by inv.

SHA-1: 6e4fc683ad3f97ee67905b9fbef6ac9c5b348acc

- Related Changesets
occt: master 2a78ec6a
Timestamp: 2014-09-04 09:49:45
Author: jgv
Committer: bugmaster
Details ] Diff ]
0025192: Unification of LineConstructor algorithms used by GeomInt_IntSS and BOP

Small correction.

Correction of test case bug/modalg_5/bug24472
mod - src/BOPTools/BOPTools_AlgoTools2D.cxx Diff ] File ]
mod - src/GeomInt/GeomInt.cdl Diff ] File ]
add - src/GeomInt/GeomInt.cxx Diff ] File ]
mod - src/GeomInt/GeomInt_LineConstructor.cdl Diff ] File ]
mod - src/GeomInt/GeomInt_LineConstructor.cxx Diff ] File ]
mod - src/IntTools/IntTools.cdl Diff ] File ]
mod - src/IntTools/IntTools_BeanFaceIntersector.cxx Diff ] File ]
mod - src/IntTools/IntTools_FaceFace.cdl Diff ] File ]
mod - src/IntTools/IntTools_FaceFace.cxx Diff ] File ]
mod - src/IntTools/IntTools_FClass2d.cxx Diff ] File ]
rm - src/IntTools/IntTools_LineConstructor.cdl Diff ] File ]
rm - src/IntTools/IntTools_LineConstructor.cxx Diff ] File ]
rm - src/IntTools/IntTools_LineConstructor.lxx Diff ] File ]
mod - src/IntTools/IntTools_Tools.cdl Diff ] File ]
mod - src/IntTools/IntTools_Tools.cxx Diff ] File ]
mod - tests/bugs/modalg_5/bug24472 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-26 15:13 jgv New Issue
2014-08-26 15:13 jgv Assigned To => ifv
2014-08-26 15:13 jgv Assigned To ifv => jgv
2014-08-26 16:07 git Note Added: 0031099
2014-08-26 16:11 jgv Note Added: 0031100
2014-08-26 16:11 jgv Status new => resolved
2014-08-26 16:11 jgv Status resolved => reviewed
2014-08-26 16:11 jgv Assigned To jgv => mkv
2014-08-26 16:13 jgv Relationship added child of 0024910
2014-08-27 16:28 mkv Note Added: 0031127
2014-08-27 16:28 mkv Test case number => Not needed
2014-08-27 16:28 mkv Assigned To mkv => jgv
2014-08-27 16:28 mkv Status reviewed => assigned
2014-08-29 15:17 git Note Added: 0031192
2014-08-29 15:19 jgv Note Added: 0031193
2014-08-29 15:19 jgv Status assigned => resolved
2014-08-29 15:19 jgv Assigned To jgv => emv
2014-08-29 15:26 jgv File Added: s1.brep
2014-08-29 15:26 jgv File Added: s2.brep
2014-08-29 15:27 jgv Steps to Reproduce Updated View Revisions
2014-08-29 15:33 jgv Additional Information Updated View Revisions
2014-08-29 15:49 git Note Added: 0031195
2014-08-29 16:18 emv Note Added: 0031196
2014-08-29 16:18 emv Assigned To emv => mkv
2014-08-29 16:18 emv Status resolved => reviewed
2014-09-01 17:23 mkv Note Added: 0031236
2014-09-01 17:23 mkv Assigned To mkv => jgv
2014-09-01 17:23 mkv Status reviewed => assigned
2014-09-01 17:53 jgv Note Added: 0031242
2014-09-01 17:53 jgv Status assigned => feedback
2014-09-01 17:53 jgv Assigned To jgv => mkv
2014-09-01 19:53 git Note Added: 0031249
2014-09-01 19:54 mkv Assigned To mkv => bugmaster
2014-09-01 19:54 mkv Status feedback => tested
2014-09-01 19:54 mkv Note Added: 0031250
2014-09-05 14:09 bugmaster Changeset attached => occt master 2a78ec6a
2014-09-05 14:09 bugmaster Status tested => verified
2014-09-05 14:09 bugmaster Resolution open => fixed
2014-09-08 15:52 git Note Added: 0031484
2014-09-08 15:52 git Note Added: 0031485
2014-09-11 10:57 bugmaster Target Version => 6.8.0
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker